summaryrefslogtreecommitdiffstats
path: root/system/tilda/tilda.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/tilda/tilda.SlackBuild')
-rw-r--r--system/tilda/tilda.SlackBuild17
1 files changed, 7 insertions, 10 deletions
diff --git a/system/tilda/tilda.SlackBuild b/system/tilda/tilda.SlackBuild
index e009e190cf..537f7e44a6 100644
--- a/system/tilda/tilda.SlackBuild
+++ b/system/tilda/tilda.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for tilda
#
# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2014 Ryan P.C. McQuen, WA, ryan.q@linux.com
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +24,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tilda
-VERSION=0.9.6
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.1.11}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -54,9 +55,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PRGNAM-$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$PRGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -64,12 +65,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Starting with glib 2.32 it is now mandatory to
-# include glib.h instead of individual headers.
-patch -p1 -i $CWD/glib-single-include.patch
-
CFLAGS="$SLKCFLAGS" \
-./configure \
+./autogen.sh \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \